#ifndef CONFIG_H
#define CONFIG_H

#include <QObject>

#define PROTOCOL_BINARY	0
#define PROTOCOL_CONSOLE 1
#define PROTOCOL_DISSABLED 5
#define PROTOCOL_HID 	   6

struct Command {
    QString name;
    QString hex;
};


class Config
{
public:
    Config();
    void addCmd(QString name, QString hex);
    void deleteCmd(int idx);
    void save();
    void reload();
    QList<Command> commands;
};

#endif // CONFIG_H
